package com.itjob.algorithm;

public class LinearSearch {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		int[] arrty = {1, 2, 3};
		boolean flag = linearSearch(2, arrty);
		System.out.println(flag);
	}

	/**
	 * 线性查找方法
	 * @param target
	 * @param array
	 * @return
	 */
	static boolean linearSearch(int target, int[] array) {
		int len = array.length;
		// 遍历整个数组，并分别将每个遍历元素与查找值对比
		for (int i = 0; i < len; i++) {
			System.out.println(i);
			if (array[i] == target) {
				return true;
			}
		}
		return false;
	}
}
